.TH XMENU l "19 June 1990"
.SH NAME
xmenu \- provide simple popup menus to shell scripts
.SH SYNOPSIS
\fBxmenu\fP [-heading "menu title"] [menu_entry[=output_value] | -line]...
.SH DESCRIPTION
\fIxmenu\fP provides a quick and easy way of producing a single popup
menu for use by shell scripts.  The \fI-heading\fP is used to set the menu's
title, all other arguments are used as items in the menu.  If an argument
contains an equals sign then the string to the left of the equals is used as
the displayed menu item and the the string to the right is used as the text
output when the item is pressed.  If no equals sign is present in the
argument then the argument itself is output.  The argument "-line" is
recognised as denoting a line separating menu items.

By default the menu is popped up to the right and below of the current pointer
position but this can be overridden using the standard toolkit "-geometry". 

Following the example of \fIxmessage\fP the exit status is set to a number
greater than or equal to 101, indicating which menu item was pressed.
.SH EXAMPLES
.DS
xmenu -heading "Choose Files by Suffix" Compressed="*.Z" \\
                       "C sources"="*.c" "Headers"="*.h" \\
                       -line -line "        Cancel"

xmenu Hello="Hello World" -line " " " " -line Goodbye="Goodbye World"
.DE
.SH EXIT STATUS
The exit status is set to a number greater than or equal to 101.  This number
corresponds to the position of the pressed button in the menu, 101 for the
first button, 102 for the second and so on.
.SH AUTHOR
Richard Hesketh, University of Kent at Canterbury, June 1990
.br
@nsfnet-relay.ac.uk:rlh2@ukc.ac.uk
